PGAdmin4 won't install

Issues related to applications and software problems
Post Reply
WeberEInc
Posts: 1
Joined: 2020/10/03 00:34:04

PGAdmin4 won't install

Post by WeberEInc » 2020/10/03 00:46:29

When attempting to use Yum Extender to install PGAdmin4 desktop in CentOS 7, the installation fails at the very end with the following error:

19:36:38 : ERROR: Error in yum Transaction : Test Transaction Errors: file /usr/lib64/libpq.so.5 from install of libpq5-13.0-10PGDG.rhel7.x86_64 conflicts with file from package postgresql-libs-9.2.24-4.el7_8.x86_64

I have PostGreSQL installed and running and can access the server from remote locations. I just wanted to install the desktop administration program on this machine to make it easier to manage.

I really don't understand how these packages can get out of sync so easily. Can someone please point me in the right direction for resolution? Thanks in advance!

Post Reply

Return to “CentOS 7 - Software Support”